@import '_content/Microsoft.FluentUI.AspNetCore.Components/Microsoft.FluentUI.AspNetCore.Components.wuc5ioiakb.bundle.scp.css';

/* /Components/Layout/MainLayout.razor.rz.scp.css */
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-a4cgagq3ly],
.components-reconnect-repeated-attempt-visible[b-a4cgagq3ly],
.components-reconnect-failed-visible[b-a4cgagq3ly],
.components-pause-visible[b-a4cgagq3ly],
.components-resume-failed-visible[b-a4cgagq3ly],
.components-rejoining-animation[b-a4cgagq3ly] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-a4cgagq3ly],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-a4cgagq3ly],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-a4cgagq3ly],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-a4cgagq3ly],
#components-reconnect-modal.components-reconnect-retrying[b-a4cgagq3ly],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-a4cgagq3ly],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-a4cgagq3ly],
#components-reconnect-modal.components-reconnect-failed[b-a4cgagq3ly],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-a4cgagq3ly] {
    display: block;
}


#components-reconnect-modal[b-a4cgagq3ly] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-a4cgagq3ly 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-a4cgagq3ly 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-a4cgagq3ly 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-a4cgagq3ly]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-a4cgagq3ly 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-a4cgagq3ly {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-a4cgagq3ly {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-a4cgagq3ly {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-a4cgagq3ly] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-a4cgagq3ly] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-a4cgagq3ly] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-a4cgagq3ly] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-a4cgagq3ly] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-a4cgagq3ly] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-a4cgagq3ly] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-a4cgagq3ly 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-a4cgagq3ly] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-a4cgagq3ly {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Place/List.razor.rz.scp.css */
.cell[b-lu5vaswr8w] {
    display: grid;
    place-items: center;
    height: 100%;
}

.name[b-lu5vaswr8w] {
    font-size: 14pt;
    font-weight: bold;
    line-height: 1.6;
    margin: 10px 0;
    text-align: center;
}

.introduction[b-lu5vaswr8w] {
    text-align: start;
    font-size: 11pt;
    font-weight: 300;
    text-indent: 2em;
    line-height: 1.6;
}

.link-preview[b-lu5vaswr8w] {
    background-color: var(--accent-fill-rest);
    color: #fff;
    padding: 2px 5px;
    text-decoration: none;
    border-radius: 5px;
    cursor: pointer;
    white-space: nowrap;
}

.video-list[b-lu5vaswr8w] {
    border: 1px solid var(--neutral-stroke-rest);
    padding: 5px;
    text-align: left;
    width: 100%;
}

.video-item[b-lu5vaswr8w] {
    display: flex;
    align-items: center;
}

.video-name[b-lu5vaswr8w] {
    flex: 1;
    min-width: 0;
    cursor: pointer;
}


.actions[b-lu5vaswr8w] {
    flex: 0 0 auto;
    margin-left: 10px;
    white-space: nowrap;
}
/* /Components/Pages/Place/MobileView.razor.rz.scp.css */

.contianer[b-lydq86gecz] {
    background-image: url('/images/view-background-x.jpg');
    background-position: bottom center;
    background-repeat: repeat-x;
    background-size: auto 100%;
    position: relative;
    padding-bottom: 10px;
    min-height: 100vh;
}

    .contianer .img[b-lydq86gecz] {
        width: 100%;
        z-index: 1;
    }

    .contianer .main-body[b-lydq86gecz] {
        position: relative;
        margin: -80px 10px 20px 10px;
        border-radius: 10px;
        background-color: #ffffff;
        z-index: 2;
        padding: 10px;
    }


.tabs[b-lydq86gecz] {
    display: flex;
    justify-content: space-around;
    border-bottom: 2px solid #e2dcdc;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.tab[b-lydq86gecz] {
    font-size: 14pt;
    padding: 10px 0 0 0;
}

    .tab label[b-lydq86gecz] {
        cursor: pointer;
        padding-bottom: 10px;
        border-bottom: 1.5px solid transparent;
        transition: border-bottom 0.3s;
        margin-bottom: -2.5px;
        font-weight: bold;
    }

.active label[b-lydq86gecz] {
    border-bottom: 3px solid #ff8c00;
    color: #ff8c00;
}

.tab-body[b-lydq86gecz] {
    display: none;
}

.name[b-lydq86gecz] {
    font-size: 14pt;
    font-weight: bold;
    line-height: 1.6;
    margin: 20px 0;
    text-align: center;
}

.introduction[b-lydq86gecz] {
    font-size: 11pt;
    font-weight: 300;
    text-indent: 2em;
    line-height: 1.6;
    text-align: justify;
    text-justify: inter-character;
}

.splitor[b-lydq86gecz] {
    border-top: 2px solid #ccc;
    margin: 15px 0;
}

.fields[b-lydq86gecz] {
    background-color: #f2ece042;
    padding: 15px;
}

.link[b-lydq86gecz] {
    text-align: center;
    padding: 10px;
    margin-top: 15px;
    margin-bottom: 5px;
}

.link720[b-lydq86gecz] {
    font-size: 12pt;
    color: #ffffff;
    background-color: #E8A509;
    padding: 5px 10px;
    border-radius: 8px;
    text-decoration: none;
}

.field[b-lydq86gecz] {
    line-height: 2;
    vertical-align: middle;
}

    .field label[b-lydq86gecz] {
        color: #9E6406;
        font-size: 10pt;
    }

    .field span[b-lydq86gecz] {
        font-size: 10pt;
        font-weight: 300;
    }

.video-list[b-lydq86gecz] {
    text-align: center;
}

.video-item[b-lydq86gecz] {
    margin: 10px 0 0 0;
    background-color: #f2ece042;
    border-radius: 10px;
}

.video-name[b-lydq86gecz] {
    font-size: 12pt;
    font-weight: 500;
    line-height: 2;
    padding: 5px;
}

.provided-by[b-lydq86gecz] {
    font-size: 10pt;
    line-height: 2;
    font-weight: 300;
}
/* /Components/Pages/Place/PcView.razor.rz.scp.css */

.contianer[b-fs0ppz0l2c] {
    background-image: url('/images/view-background-x.jpg');
    background-position: bottom center;
    background-repeat: repeat-x;
    background-size: auto 100%;
    position: relative;
    padding-bottom: 10px;
    min-height: 100dvh;
}


    .contianer .img[b-fs0ppz0l2c] {
        width: 100%;
        z-index: 1;
    }

    .contianer .main-body[b-fs0ppz0l2c] {
        position: relative;
        margin: -15vh 10vh 40px 10vh;
        border-radius: 10px;
        background-color: #ffffff;
        z-index: 2;
        padding: 20px 50px 50px 50px;
    }


.tabs[b-fs0ppz0l2c] {
    display: flex;
    justify-content: space-around;
    border-bottom: 2px solid #e2dcdc;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    padding: 20px 20px 0 20px;
    background: linear-gradient(to right, transparent, rgba(255, 218, 173, 0.2), transparent );
}

.tab[b-fs0ppz0l2c] {
    font-size: 24pt;
    padding: 10px 0 0 0;
}

    .tab label[b-fs0ppz0l2c] {
        cursor: pointer;
        padding-bottom: 20px;
        border-bottom: 1.5px solid transparent;
        transition: border-bottom 0.1s;
        margin-bottom: -2.5px;
    }

.active label[b-fs0ppz0l2c] {
    border-bottom: 3px solid #ff8c00;
    color: #ff8c00;
    font-weight: bold;
}

.tab-body[b-fs0ppz0l2c] {
    display: none;
}

.name[b-fs0ppz0l2c] {
    font-size: 22pt;
    font-weight: bold;
    line-height: 1.6;
    margin: 20px 0;
    text-align: center;
}

.introduction[b-fs0ppz0l2c] {
    font-size: 18pt;
    font-weight: 300;
    text-indent: 2em;
    line-height: 32pt;
    text-align: justify;
    text-justify: inter-character;
}

.splitor[b-fs0ppz0l2c] {
    border-top: 2px solid #ccc;
    margin: 15px 0;
}

.table[b-fs0ppz0l2c] {
    background-color: #f2ece042;
}

.fields[b-fs0ppz0l2c] {
    padding: 15px;
}

.link[b-fs0ppz0l2c] {
    text-align: center;
    padding: 10px;
    margin-top: 15px;
    margin-bottom: 5px;
}

.link720[b-fs0ppz0l2c] {
    font-size: 16pt;
    font-weight: bold;
    color: #ffffff;
    background-color: #E8A509;
    padding: 20px clamp(20px, 10vw, 60px);
    border-radius: 8px;
    text-decoration: none;
    display: inline-block;
    line-height: 17pt;
}

    .link720 div[b-fs0ppz0l2c] {
        white-space: nowrap;
    }

    .field[b-fs0ppz0l2c] {
        line-height: 2;
        vertical-align: middle;
    }

    .field label[b-fs0ppz0l2c] {
        color: #9E6406;
        font-size: 18pt;
    }

    .field span[b-fs0ppz0l2c] {
        font-size: 18pt;
        font-weight: 300;
    }

.video-list[b-fs0ppz0l2c] {
    text-align: center;
}

.video-item[b-fs0ppz0l2c] {
    margin: 10px 0 0 0;
    background-color: #f2ece042;
    border-radius: 10px;
}

.video-name[b-fs0ppz0l2c] {
    font-size: 24pt;
    font-weight: 500;
    line-height: 2;
    padding: 5px;
}

.provided-by[b-fs0ppz0l2c] {
    font-size: 24pt;
    line-height: 2;
    font-weight: 300;
}
/* /Components/Pages/Place/View.razor.rz.scp.css */

.contianer[b-d32c1qr7e4] {
    background-image: url('/images/view-background-x.jpg');
    background-position: bottom center;
    background-repeat: repeat-x;
    background-size: auto 100%;
    position: relative;
    padding-bottom: 10px;
    min-height: 100vh;
}

    .contianer .img[b-d32c1qr7e4] {
        width: 100%;
        z-index: 1;
    }

    .contianer .main-body[b-d32c1qr7e4] {
        position: relative;
        margin: -80px 10px 20px 10px;
        border-radius: 10px;
        background-color: #ffffff;
        z-index: 2;
        padding: 10px;
    }


.tabs[b-d32c1qr7e4] {
    display: flex;
    justify-content: space-around;
    border-bottom: 2px solid #e2dcdc;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.tab[b-d32c1qr7e4] {
    font-size: 14pt;
    padding: 10px 0 0 0;
}

    .tab label[b-d32c1qr7e4] {
        cursor: pointer;
        padding-bottom: 10px;
        border-bottom: 1.5px solid transparent;
        transition: border-bottom 0.3s;
        margin-bottom: -2.5px;
        font-weight: bold;
    }

.active label[b-d32c1qr7e4] {
    border-bottom: 3px solid #ff8c00;
    color: #ff8c00;
}

.tab-body[b-d32c1qr7e4] {
}

.name[b-d32c1qr7e4] {
    font-size: 14pt;
    font-weight: bold;
    line-height: 1.6;
    margin: 20px 0;
    text-align: center;
}

.introduction[b-d32c1qr7e4] {
    font-size: 11pt;
    font-weight: 300;
    text-indent: 2em;
    line-height: 1.6;
    text-align: justify;
    text-justify: inter-character;
}

.splitor[b-d32c1qr7e4] {
    border-top: 2px solid #ccc;
    margin: 15px 0;
}

.fields[b-d32c1qr7e4] {
    background-color: #f2ece042;
    padding: 15px;
}

.link[b-d32c1qr7e4] {
    text-align: center;
    padding: 10px;
}

.link720[b-d32c1qr7e4] {
    font-size: 12pt;
    color: #ffffff;
    background-color: #E8A509;
    padding: 5px 10px;
    border-radius: 8px;
    text-decoration: none;
}

.field[b-d32c1qr7e4] {
    line-height: 2;
    vertical-align: middle;
}

    .field label[b-d32c1qr7e4] {
        color: #9E6406;
        font-size: 10pt;
    }

    .field span[b-d32c1qr7e4] {
        font-size: 10pt;
        font-weight: 300;
    }

.video-list[b-d32c1qr7e4] {
    text-align: center;
}

.video-item[b-d32c1qr7e4] {
    margin: 10px 0 0 0;
    background-color: #f2ece042;
    border-radius: 10px;
}

.video-name[b-d32c1qr7e4] {
    font-size: 12pt;
    font-weight: 500;
    line-height: 2;
    padding: 5px;
}

.provided-by[b-d32c1qr7e4] {
    font-size: 10pt;
    line-height: 2;
    font-weight: 300;
}
/* /Components/Shared/EditPlaceDialog.razor.rz.scp.css */
.form > div[b-6zsfqull8r] {
    width: 100%;
}
/* /Components/Shared/EditVideoDialog.razor.rz.scp.css */
.form > div[b-dk7otxqhj4] {
    width: 100%;
}
/* /Components/Shared/StaticVideoPlayer.razor.rz.scp.css */
.video-container[b-ag2yzgcfvf] {
    position: relative;
    width: 100%;
    overflow: hidden;
    text-align: center;
}


    .video-container video[b-ag2yzgcfvf] {
        width: 100%;
        height: auto;
        max-width: 800px;
    }

.play-button[b-ag2yzgcfvf] {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80px;
    height: 80px;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
}

    .play-button[b-ag2yzgcfvf]::before {
        content: '';
        width: 0;
        height: 0;
        border-left: 25px solid white;
        border-top: 15px solid transparent;
        border-bottom: 15px solid transparent;
        margin-left: 5px;
    }
/* /Components/Shared/VideoPlayer.razor.rz.scp.css */
.video-container[b-8nyhfxl2ns] {
    position: relative;
    width: 100%;
    overflow: hidden;
    text-align: center;
}


    .video-container video[b-8nyhfxl2ns] {
        width: 100%;
        height: auto;
        max-width: 800px;
    }

.play-button[b-8nyhfxl2ns] {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80px;
    height: 80px;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
}

    .play-button[b-8nyhfxl2ns]::before {
        content: '';
        width: 0;
        height: 0;
        border-left: 25px solid white;
        border-top: 15px solid transparent;
        border-bottom: 15px solid transparent;
        margin-left: 5px;
    }
